function[phase,decalage]= phas(vi,color)
% la fonction phase utilise la variation periodique
% de la phase du vecteur vi pour construire une droite
% de regression 
% parallelement elle trace la courbe correspondant a l'amplitude 
% de vi 
% vi est un vecteur imaginaire a deux colonnes ve et i*vn
% ve et vn sont des vitesses relatives definies par :
% ve=vet(:,n°bin)-vet(:,20)  en considerant Veref=vet(:,20)
% vn=vnt(:,n°bin)-vnt(:,20)  en considerant Vnref=vnt(:,20)
indplus=find(diff(angle(vi))>3.14);
indmoins=find(diff(angle(vi))<-3.14);
% indplus et indmoins sont des vecteurs colonnes dont le nombre d'elements est variable
% les elements de indplus sont les abscisses de angle(vi)
% qui correspondent a un saut de 2*pi de angle(vi)
% et ceux de indmoins sont les abscisses de angle(vi)
% qui correspondent a un saut de -2*pi de angle(vi)
n=1;
m=1;
subplot(2,1,1);
plot(abs(vi),'c');
ylabel('amplitude (cm/s)')
xlabel('unite de temps (2 min)')
title('amplitude de vi')
subplot(2,1,2);
g=angle(vi);
dec=zeros(size(g));
nmax=size(dec,1);
for j=1:size(g,1)
    if n<=size(indplus,1)
      if j==(indplus(n)+1)
         n=n+1;
         dec(j:nmax)=dec(j:nmax)-2*pi;
      end   
    end
end
for k=1:size(g,1)
    if m<=size(indmoins,1)
      if k==(indmoins(m)+1)
         m=m+1;
         dec(k:nmax)=dec(k:nmax)+2*pi;
      end   
    end
end
g=g+dec;
plot(g,color)
hold on
% on trace la droite de regression theorique
reg=(-0.0571*2*pi/30)*(1:3284);
plot(reg)
ylabel('phase (rad)')
 xlabel('unite de temps (2 min)')
 title('phase du cisaillement deroulee par phas(vi)')
%retour des variables
phase=g;decalage=dec;
end